import { jsxs } from "react/jsx-runtime";
import { Card } from "./vendor/Card/Card.js";
import "@netlify/ui";
import "react";
import { CardTitle } from "./vendor/Card/CardTitle.js";
import { useNetlifySDK } from "../use_netlify_sdk.js";
const SettingsCard = ({ children }) => {
  const sdk = useNetlifySDK();
  return /* @__PURE__ */ jsxs(Card, { className: "card-settings", children: [
    /* @__PURE__ */ jsxs(CardTitle, { as: "h3", children: [
      "Connect to a ",
      sdk.extension.name,
      " project"
    ] }),
    children
  ] });
};
export {
  SettingsCard
};
//# sourceMappingURL=SettingsCard.js.map
