export type SurfaceRouterProps = {
    children?: React.ReactNode | undefined;
};
/**
 * `SurfaceRouter` conditionally renders components based on which Extension UI surface is currently
 * being shown to a user.
 *
 * @example
 * ```tsx
 * <SurfaceRouter>
 *   <SurfaceRoute surface={Surfaces.SiteConfiguration}>
 *     <SiteConfigurationSurface />
 *   </SurfaceRoute>
 *
 *   <SurfaceRoute surface={Surfaces.TeamConfiguration}>
 *     <TeamConfigurationSurface />
 *   </SurfaceRoute>
 * </SurfaceRouter>
 * ```
 */
export declare const SurfaceRouter: ({ children }: SurfaceRouterProps) => import("react").JSX.Element;
//# sourceMappingURL=SurfaceRouter.d.ts.map